POST /api/v3/objects/{lcuid}/tags/add/{tag_lcuid}¶
Summary¶
POST /objects/{lcuid}/tags/add/{tag_lcuid}
Description¶
Add a tag to this object
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags-
Array items:
objectType:objectProperties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)parent(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)inventory_item_class(array)- Array items:
string
- Array items:
account_class(string)inventory_item_class_description(string)account_class_description(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LI-904ecf50-cc9a-4cd5-b4a9-33a642c54829",
"class": "App\\InventoryItem",
"tags": [
{
"name": "test1",
"description": "",
"created_at": "2026-10-08T21:36:40.000000Z",
"updated_at": "2026-10-08T21:36:40.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-7cdf88e6-9ed7-43b9-99e7-cf54c14cb7c4",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-cd512855-3a23-45f1-96cd-40e8798799da",
"slug": "UnitTestAccount2yjza",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-10-08T21:36:40.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request POST \
--url "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "POST",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/add/{tag_lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.post(url, headers=headers)
print(response.json())